Bug 587545 - SELinux is preventing /usr/sbin/snmpd "read" access on /home/mfojtik/.rpmmacros.
SELinux is preventing /usr/sbin/snmpd "read" access on /home/mfojtik/.rp...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:c2a69e4a894...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 04:41 EDT by Michal Fojtik
Modified: 2010-07-29 12:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-29 12:50:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Fojtik 2010-04-30 04:41:36 EDT
Summary:

SELinux is preventing /usr/sbin/snmpd "read" access on /home/mfojtik/.rpmmacros.

Detailed Description:

SELinux denied access requested by snmpd. It is not expected that this access is
required by snmpd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:snmpd_t:s0
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /home/mfojtik/.rpmmacros [ file ]
Source                        snmpd
Source Path                   /usr/sbin/snmpd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           net-snmp-5.4.2.1-19.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-99.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.9-70.fc12.i686 #1 SMP Wed
                              Mar 3 05:14:32 UTC 2010 i686 i686
Alert Count                   2
First Seen                    Mon 29 Mar 2010 03:24:15 PM CEST
Last Seen                     Mon 29 Mar 2010 03:24:17 PM CEST
Local ID                      d097557f-0870-4544-8051-ea7a209483e4
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1269869057.422:309): avc:  denied  { read } for  pid=1641 comm="snmpd" name=".rpmmacros" dev=dm-0 ino=13352 scontext=unconfined_u:system_r:snmpd_t:s0 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1269869057.422:309): arch=40000003 syscall=5 success=no exit=-13 a0=13bc678 a1=8000 a2=1b6 a3=f41204 items=0 ppid=1 pid=1641 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=2 comm="snmpd" exe="/usr/sbin/snmpd" subj=unconfined_u:system_r:snmpd_t:s0 key=(null)



Hash String generated from  catchall,snmpd,snmpd_t,user_home_t,file,read
audit2allow suggests:

#============= snmpd_t ==============
allow snmpd_t user_home_t:file read;
Comment 1 Daniel Walsh 2010-04-30 09:10:32 EDT
Why would snmp need to read your .rpmmacros file?  Were you doing an rpmbuild?

Note You need to log in before you can comment on or make changes to this bug.